Get Promotion Types (ERAs)
get
/profiles/promotiontypes
Gets promotion types and localized labels for the specified account or service scope.
Request
Query Parameters
-
locale: string
Locale for promotion type labels; defaults to en_US.Default Value:
en_US -
scope: string
BRM account or service type, such as /account or /service/telco/gsm; defaults to /account.Default Value:
/account
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Promotion types were returned successfully.
Nested Schema : PromotionType
Type:
Show Source
object-
extension: object
extension
The extended attributes.
-
localizedStrings(required): object
LocalizedStrings
The localized name and description of the promotion.
-
name(required): string
The name of the promotion
Nested Schema : extension
Type:
objectThe extended attributes.
Nested Schema : LocalizedStrings
Type:
objectThe localized name and description of the promotion.
Show Source
-
description(required): string
Localized description of the promotion.
-
descriptionId: integer
(int32)
The locale ID for the description of the promotion.
-
name(required): string
Localized name of the promotion.
-
nameId: integer
(int32)
Locale ID for name of the promotion.
500 Response
An internal server error occurred.